<?php

namespace Ebuy\Demo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DemoTransformer extends TransformerAbstract
{
    public function transform(\Ebuy\Demo\Models\Demo $demo)
    {
        return [
            'id'                => $demo->getRouteKey(),
            'key'               => [
                'public'    => $demo->getPublicKey(),
                'route'     => $demo->getRouteKey(),
            ], 
            'name'              => $demo->name,
            'description'       => $demo->description,
            'image'             => $demo->image,
            'slug'              => $demo->slug,
            'user_id'           => $demo->user_id,
            'user_type'         => $demo->user_type,
            'deleted_at'        => $demo->deleted_at,
            'url'               => [
                'public'    => trans_url('demo/'.$demo->getPublicKey()),
                'user'      => guard_url('demo/demo/'.$demo->getRouteKey()),
            ], 
            'status'            => trans('app.'.$demo->status),
            'created_at'        => format_date($demo->created_at),
            'updated_at'        => format_date($demo->updated_at),
        ];
    }
}